Name:          libusbmuxd
Version:       2.0.2
Release:       3
Summary:       software protocol library and tools to communicate with iOS devices natively
License:       LGPLv2+ and GPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       https://github.com/libimobiledevice/%{name}/archive/%{version}.tar.gz

BuildRequires: gcc libplist-devel >= 2.2.0 autoconf automake libtool
Provides:      %{name}-utils
Obsoletes:     %{name}-utils

%description
libusbmuxd provides the library and tools to communicate with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to easily access the
device's filesystem, retrieve information about the device and it's internals and so on.

%package devel
Summary: %{name} development package
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: usbmuxd-devel < 1.0.9

%description devel
provide head files or other files to support for development with %{name}.

%prep
%setup -q

NOCONFIGURE=1 ./autogen.sh
%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

%check
make check

%ldconfig_scriptlets

%files
%license COPYING
%doc README.md AUTHORS
%{_libdir}/libusbmuxd-2.0.so.*
%{_bindir}/iproxy
%exclude %{_libdir}/*.la
%{_bindir}/inetcat
%{_mandir}/man1/*

%files devel
%{_includedir}/usbmuxd*
%{_libdir}/pkgconfig/libusbmuxd-2.0.pc
%{_libdir}/libusbmuxd-2.0.so

%changelog
* Mon Apr 18 2022 Chenxi Mao <chenxi.mao@suse.com> - 2.0.2-3
- Remove self-dependency

* Fri Aug 7 2020 jinzhimin<jinzhimin2@huawei.com> - 2.0.2-2
- add old so file

* Thu Aug 6 2020 jinzhimin<jinzhimin2@huawei.com> - 2.0.2-1
- update to 2.0.2

* Mon Jul 1 2019 Wu Bo <wubo009@163.com> - 1.0.10-13
- rebuild package

* Fri Aug 30 2019 louhongxiang <louhongxiang@huawei.com> - 1.0.10-12
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Wed Aug 21 2019 Su Weifeng <suweifeng1@huawei.com> - 1.0.10-11
- Type:other
- ID:NA
- SUG:NA
- DESC:Package init and rename patches

